package thyyxxk.webserver.entity.datamodify;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

@Data
public class SelectV2 {

    private String code;
    private String name;
    private String pyCode;
    private String wCode;

    public String getCode() {
        if (StringUtil.isBlank(code)) {
            return code;
        }
        return code.trim();
    }

    public String getName() {
        if (StringUtil.isBlank(name)) {
            return name;
        }
        return name.trim();
    }

    public String getPyCode() {
        if (StringUtil.isBlank(pyCode)) {
            return pyCode;
        }
        return pyCode.trim();
    }

    public String getWCode() {
        if (StringUtil.isBlank(wCode)) {
            return wCode;
        }
        return wCode.trim();
    }

    public String getValue() {
        return getCode();
    }

    public String getLabel() {
        return getName();
    }
}
